#include <iostream>
#include <fstream>

using namespace std;

void main()
{
long  long int max,min,s,result=0,m;
int n,k,t;
fstream F;
F.open("NUMBERS.IN");
F>>n;
while(n!=0)
{
F>>k;
F>>m;
s=1;
long long  int *a=new long long int[k];
for(int i=0;i<k;i++)
{
	F>>a[i];
	s*=a[i];

}
max=a[0];
for(int i=0;i<k;i++)
	if(max<a[i])
		max=a[i];
min=a[0];
for(int i=0;i<k;i++)
	if(min>a[i])
		min=a[i];

for( int i=max; i>0; i=i-min)
	{	t=0;
	for(int j=0;j<k;j++)
		if((a[j]%i)==0)
			t++;
	
	if(k==t)
	{result=i;
	break;}
	}
cout<<result;


for(long long int i=max;i<=s;i=i+max)
{	t=0;
	for(int j=0;j<k;j++)
		if((i%a[j])==0)
			t++;
	
	if(k==t)
	{result=i;
	break;}
	}
cout<<(result)%m;
n--;
}

}